Get workflow step
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/workflowSteps/{workflowStepUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/workflowSteps/{workflowStepUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/workflowSteps/{workflowStepUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"abbr": "<string>",
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}Workflow Step
Get workflow step
Requires ADMIN or PROJECT_MANAGER role with the setup-server access right. Returns 403 if the organization plan does not support workflow steps.
GET
/
api2
/
v1
/
workflowSteps
/
{workflowStepUid}
Get workflow step
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the workflow step
Response
OK
Abbreviation of the workflow step (1–3 characters)
Internal numeric identifier, encoded as a string
When true, LQA is enabled for this step
Name of the workflow step
Display order of the workflow step
Unique identifier used in API paths
Was this page helpful?